### Property

# Jsonrpc Client:use-gvariant

since: 3.26

#### Declaration

    property use-gvariant: gboolean [ read, write ]

#### Description [src]

The “use-gvariant” property denotes if `GVariant` should be used to communicate with the peer instead of JSON. You should only set this if you know the peer is also a Jsonrpc-GLib based client.

Setting this property allows the peers to communicate using GVariant instead of JSON. This means that we can access the messages without expensive memory allocations and parsing costs associated with JSON. `GVariant` is much more optimal for memory-bassed message passing.

Type: | `gboolean`
Available since: | 3.26

Setter method | `jsonrpc_client_set_use_gvariant()`
Getter method | `jsonrpc_client_get_use_gvariant()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no